## pgsphere 1.1.1+2017.04.11

=== debian/changelog ===
pgsphere (1.1.1+2017.04.11-1) unstable; urgency=low

  * Initial release (from github commit 2cb397). Closes: #680188

 -- Ole Streicher <olebole@debian.org>  Thu, 17 Aug 2017 14:24:17 +0200
