=== debian/control ===
Source: pgsphere
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: debhelper (>= 9),
               postgresql-server-dev-all
Standards-Version: 4.0.0
Homepage: http://pgsphere.projects.postgresql.org/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/pgsphere.git
Vcs-Git: https://anonscm.debian.org/cgit/pkg-postgresql/pgsphere.git

Package: postgresql-9.6-pgsphere
Architecture: any
Depends: postgresql-9.6,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Spherical data types for PostgreSQL 9.6
 PgSphere, an extension for PostgreSQL, aims at providing uniform
 access to spherical data. It allows for a fast search and analysis for
 objects with spherical attributes in geographical, astronomical, or
 other applications using PostgreSQL.
 .
 By using an SQL interface, PgSphere's users can conveniently manage
 data of geographical objects around the world and astronomical data
 collections like star and other catalogues.
 .
 This package provides a module for PostgreSQL 9.6.
