## pgsphere 1.1.1+2017.08.29

=== debian/changelog ===
pgsphere (1.1.1+2017.08.29-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg (jenkins-pgsphere-source-distribution=sid-3,
    82e2bd0a49efbd9fad29d61c23ef24cebbca9993/git)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Wed, 30 Aug 2017 08:20:54 +0200

pgsphere (1.1.1+2017.08.29-1) unstable; urgency=low

  [ Ole Streicher ]
  * Add Markus Nullmeier as Co-maintainer

  [ Markus Nullmeier ]
  * Add flex to Build-Depends
  * New upstream version 1.1.1+2017.08.29. Fixes CI test failure on ppc64el

 -- Ole Streicher <olebole@debian.org>  Tue, 29 Aug 2017 16:14:45 +0200
