=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Section: database
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
-Uploaders: Ole Streicher <olebole@debian.org>
+Uploaders: Ole Streicher <olebole@debian.org>,
+           Markus Nullmeier <mnullmei@ari.uni-heidelberg.de>
 Build-Depends: debhelper (>= 9),
+               flex,
                postgresql-server-dev-all
 Standards-Version: 4.0.0
 Homepage: http://pgsphere.projects.postgresql.org/
