## pgsphere 1.1.1+2017.08.30

=== debian/changelog ===
pgsphere (1.1.1+2017.08.30-1build1) bionic; urgency=medium

  * No-change rebuild against postgresql-10

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 03 Nov 2017 11:56:16 -0400

pgsphere (1.1.1+2017.08.30-1) unstable; urgency=medium

  [ Markus Nullmeier ]
  * New upstream version 1.1.1+2017.08.30
  * updated upstream references

  [ Ole Streicher ]
  * Create a single package for all PostgreSQL versions
  * Rebuild against postgresql-10. Closes: #876865

 -- Ole Streicher <olebole@debian.org>  Wed, 27 Sep 2017 09:15:15 +0200
