=== debian/control ===
--- 
+++ 
@@ -7,17 +7,18 @@
 Build-Depends: debhelper (>= 9),
                flex,
                postgresql-server-dev-all
-Standards-Version: 4.0.0
+Standards-Version: 4.1.0
 Homepage: http://pgsphere.projects.postgresql.org/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/pgsphere.git
 Vcs-Git: https://anonscm.debian.org/cgit/pkg-postgresql/pgsphere.git
 
-Package: postgresql-9.6-pgsphere
+Package: postgresql-pgsphere
 Architecture: any
-Depends: postgresql-9.6,
+Depends: ${postgresql:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
-Description: Spherical data types for PostgreSQL 9.6
+Provides: ${postgresql:Provides}
+Description: Spherical data types for PostgreSQL
  PgSphere, an extension for PostgreSQL, aims at providing uniform
  access to spherical data. It allows for a fast search and analysis for
  objects with spherical attributes in geographical, astronomical, or
@@ -26,6 +27,3 @@
  By using an SQL interface, PgSphere's users can conveniently manage
  data of geographical objects around the world and astronomical data
  collections like star and other catalogues.
- .
- This package provides a module for PostgreSQL 9.6.
-
