=== debian/changelog ===
pgsphere (1.1.1+2018.10.13-2) unstable; urgency=medium

  * Team upload for PostgreSQL 12.
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <myon@debian.org>  Wed, 30 Oct 2019 10:01:21 +0100

pgsphere (1.1.1+2018.10.13-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot with actual PostgreSQL 11 support.

 -- Christoph Berg <myon@debian.org>  Fri, 19 Oct 2018 23:09:27 +0200

pgsphere (1.1.1+2017.08.30-3) unstable; urgency=medium

  * Team upload for PostgreSQL 11.
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <myon@debian.org>  Fri, 12 Oct 2018 19:26:17 +0200

pgsphere (1.1.1+2017.08.30-2) unstable; urgency=medium

  * Team upload.
  * Fix Depends/Provides fields for more than two supported versions.
  * debian/tests/control: Depend on postgresql-all as the package itself does
    not pull in all required server versions.
  * Move packaging repository to salsa.debian.org

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 30 May 2018 09:04:50 +0200
