=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pgsphere
 Section: database
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>,
            Markus Nullmeier <mnullmei@ari.uni-heidelberg.de>
 Build-Depends: debhelper (>= 9),
@@ -9,8 +9,8 @@
                postgresql-server-dev-all
 Standards-Version: 4.1.0
 Homepage: http://pgsphere.projects.postgresql.org/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/pgsphere.git
-Vcs-Git: https://anonscm.debian.org/cgit/pkg-postgresql/pgsphere.git
+Vcs-Browser: https://salsa.debian.org/postgresql/pgsphere
+Vcs-Git: https://salsa.debian.org/postgresql/pgsphere.git
 
 Package: postgresql-pgsphere
 Architecture: any
