=== debian/tests/control ===
Depends: @, postgresql-server-dev-all, postgresql-all
Tests: installcheck
Restrictions: allow-stderr
