## pgsphere 1.1.1+2020-10-20

=== debian/changelog ===
pgsphere (1.1.1+2020-10-20-2) unstable; urgency=medium

  * Remove Conflitcs+Replaces: postgresql-pgsphere (Closes: #989731)

 -- Ole Streicher <olebole@debian.org>  Mon, 21 Jun 2021 15:29:03 +0200

pgsphere (1.1.1+2020-10-20-1) unstable; urgency=medium

  * New upstream version 1.1.1+2020-10-20.
    Catches regression output variation on mips64el and hppa.

 -- Christoph Berg <myon@debian.org>  Tue, 20 Oct 2020 14:59:28 +0200

pgsphere (1.1.1+2020-09-24-3) unstable; urgency=medium

  * R³: no.

 -- Christoph Berg <myon@debian.org>  Mon, 19 Oct 2020 14:08:26 +0200

pgsphere (1.1.1+2020-09-24-2) unstable; urgency=medium

  * Upload for PostgreSQL 13.
  * Use dh --with pgxs.

 -- Christoph Berg <myon@debian.org>  Wed, 30 Sep 2020 18:58:24 +0200

pgsphere (1.1.1+2020-09-24-1) unstable; urgency=medium

  * New upstream version 1.1.1+2020-09-24.

 -- Christoph Berg <myon@debian.org>  Thu, 24 Sep 2020 16:17:56 +0200

pgsphere (1.1.1+2020-08-21-2) unstable; urgency=medium

  * Add missing docbook-xml build-dependency.
  * Document sparse.[ch] copyright.
  * Update project homepage.

 -- Christoph Berg <myon@debian.org>  Fri, 11 Sep 2020 15:03:18 +0200

pgsphere (1.1.1+2020-08-21-1) unstable; urgency=medium

  [ Christoph Berg ]
  * New snapshot with MOC support.
  * Switch to standard PostgreSQL extension package layout with one .deb per
    PG major version. (Closes: #962261)
  * Build and install docs.
  * Remove duplicate documentation files.
  * Point watch file at github, pgfoundry is ultimately dead.
  * Update Markus' email address.
  * DH 13.

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Update standards version to 4.4.1, no changes needed.
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Christoph Berg <myon@debian.org>  Fri, 21 Aug 2020 14:36:38 +0200
