## pgsphere 1.1.1+2021~20220627.1618-11-10-1~1.gitf88c415.pgdg18.04+1

=== debian/changelog ===
pgsphere (1.1.1+2021~20220627.1618-11-10-1~1.gitf88c415.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 19 Nov 2021 16:37:30 +0100

pgsphere (1.1.1+2021-11-10-1) unstable; urgency=medium

  * New upstream version 1.1.1+2021-11-10.
  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Fri, 19 Nov 2021 16:37:30 +0100

pgsphere (1.1.1+2020-10-20-3) unstable; urgency=medium

  * Temporarily hard-code PostgreSQL version to 13 to get the healpix-cxx3
    transition unstuck.

 -- Christoph Berg <myon@debian.org>  Fri, 29 Oct 2021 22:58:14 +0200
