=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Ole Streicher <olebole@debian.org>,
            Markus Nullmeier <mnullmei@vodafonemail.de>,
            Christoph Berg <myon@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: debhelper (>= 11),
                docbook-dsssl,
                docbook-xml,
                flex,
@@ -16,6 +16,54 @@
 Homepage: https://pgsphere.github.io/
 Vcs-Browser: https://salsa.debian.org/postgresql/pgsphere
 Vcs-Git: https://salsa.debian.org/postgresql/pgsphere.git
+
+Package: postgresql-10-pgsphere
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         postgresql-10,
+Provides: postgresql-pgsphere
+Description: Spherical data types for PostgreSQL
+ PgSphere, an extension for PostgreSQL, aims at providing uniform
+ access to spherical data. It allows for a fast search and analysis for
+ objects with spherical attributes in geographical, astronomical, or
+ other applications using PostgreSQL.
+ .
+ By using an SQL interface, PgSphere's users can conveniently manage
+ data of geographical objects around the world and astronomical data
+ collections like star and other catalogues.
+
+Package: postgresql-11-pgsphere
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         postgresql-11,
+Provides: postgresql-pgsphere
+Description: Spherical data types for PostgreSQL
+ PgSphere, an extension for PostgreSQL, aims at providing uniform
+ access to spherical data. It allows for a fast search and analysis for
+ objects with spherical attributes in geographical, astronomical, or
+ other applications using PostgreSQL.
+ .
+ By using an SQL interface, PgSphere's users can conveniently manage
+ data of geographical objects around the world and astronomical data
+ collections like star and other catalogues.
+
+Package: postgresql-12-pgsphere
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         postgresql-12,
+Provides: postgresql-pgsphere
+Description: Spherical data types for PostgreSQL
+ PgSphere, an extension for PostgreSQL, aims at providing uniform
+ access to spherical data. It allows for a fast search and analysis for
+ objects with spherical attributes in geographical, astronomical, or
+ other applications using PostgreSQL.
+ .
+ By using an SQL interface, PgSphere's users can conveniently manage
+ data of geographical objects around the world and astronomical data
+ collections like star and other catalogues.
 
 Package: postgresql-13-pgsphere
 Architecture: any
@@ -32,3 +80,19 @@
  By using an SQL interface, PgSphere's users can conveniently manage
  data of geographical objects around the world and astronomical data
  collections like star and other catalogues.
+
+Package: postgresql-14-pgsphere
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         postgresql-14,
+Provides: postgresql-pgsphere
+Description: Spherical data types for PostgreSQL
+ PgSphere, an extension for PostgreSQL, aims at providing uniform
+ access to spherical data. It allows for a fast search and analysis for
+ objects with spherical attributes in geographical, astronomical, or
+ other applications using PostgreSQL.
+ .
+ By using an SQL interface, PgSphere's users can conveniently manage
+ data of geographical objects around the world and astronomical data
+ collections like star and other catalogues.
