## pgsphere 1.1.1+2021~20220627.1618-11-10-1~1.gitf88c415.pgdg22.04+1

=== debian/changelog ===
pgsphere (1.1.1+2021~20220627.1618-11-10-1~1.gitf88c415.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 19 Nov 2021 16:37:30 +0100
