=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Ole Streicher <olebole@debian.org>,
            Markus Nullmeier <mnullmei@vodafonemail.de>,
            Christoph Berg <myon@debian.org>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 12),
                docbook-dsssl,
                docbook-xml,
                flex,
