=== debian/watch ===
version=4
https://github.com/pgsphere/pgsphere/releases .*/(.*).tar.gz
