=== debian/changelog ===
pgsphere (1.2.3-1) unstable; urgency=medium

  * New upstream version 1.2.3 from postgrespro/pgsphere.
  * Add pkgconf to B-D.

 -- Christoph Berg <myon@debian.org>  Mon, 31 Jul 2023 17:13:41 +0200

pgsphere (1.1.1+2021-11-10-2) unstable; urgency=medium

  * Upload for PostgreSQL 15.
  * debian/watch: Look at GitHub tags instead of releases.

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 15:06:39 +0200
