=== debian/control ===
--- 
+++ 
@@ -10,18 +10,19 @@
                docbook-xml,
                flex,
                libhealpix-cxx-dev (>= 3.30.0),
+               pkgconf,
                postgresql-all (>= 217~),
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://pgsphere.github.io/
 Vcs-Browser: https://salsa.debian.org/postgresql/pgsphere
 Vcs-Git: https://salsa.debian.org/postgresql/pgsphere.git
 
-Package: postgresql-14-pgsphere
+Package: postgresql-15-pgsphere
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         postgresql-14,
+         postgresql-15,
 Provides: postgresql-pgsphere
 Description: Spherical data types for PostgreSQL
  PgSphere, an extension for PostgreSQL, aims at providing uniform
