## pgsphere 1.3.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-PGSPHERE_VERSION = 1.2.3
+PGSPHERE_VERSION = 1.3.0
 EXTENSION        = pg_sphere
 RELEASE_SQL      = $(EXTENSION)--$(PGSPHERE_VERSION).sql
 USE_PGXS         = 1
@@ -11,7 +11,7 @@
 OBJS       = src/sscan.o src/sparse.o src/sbuffer.o src/vector3d.o src/point.o \
              src/euler.o src/circle.o src/line.o src/ellipse.o src/polygon.o \
              src/path.o src/box.o src/output.o src/gq_cache.o src/gist.o \
-             src/key.o src/gnomo.o src/epochprop.o
+             src/key.o src/gnomo.o src/epochprop.o src/brin.o
 
 ifneq ($(USE_HEALPIX),0)
 OBJS      += src/healpix.o src/moc.o src/process_moc.o \
@@ -27,11 +27,13 @@
 			  pg_sphere--1.1.5beta4gavo--1.2.0.sql \
 			  pg_sphere--1.2.0--1.2.1.sql \
 			  pg_sphere--1.2.1--1.2.2.sql \
-			  pg_sphere--1.2.2--1.2.3.sql
+			  pg_sphere--1.2.2--1.2.3.sql \
+			  pg_sphere--1.2.3--1.3.0.sql
 
 DOCS        = README.pg_sphere COPYRIGHT.pg_sphere
 REGRESS     = init tables points euler circle line ellipse poly path box index \
-              contains_ops contains_ops_compat bounding_box_gist gnomo epochprop
+              contains_ops contains_ops_compat bounding_box_gist gnomo epochprop \
+              contains overlaps spoint_brin sbox_brin
 
 ifneq ($(USE_HEALPIX),0)
 REGRESS    += healpix moc mocautocast
@@ -41,7 +43,7 @@
 
 TESTS       = init_test tables points euler circle line ellipse poly path box \
               index contains_ops contains_ops_compat bounding_box_gist gnomo \
-              epochprop
+              epochprop contains overlaps spoint_brin sbox_brin
 
 ifneq ($(USE_HEALPIX),0)
 TESTS      += healpix moc mocautocast
@@ -64,7 +66,7 @@
 PGS_SQL     = pgs_types.sql pgs_point.sql pgs_euler.sql pgs_circle.sql \
               pgs_line.sql pgs_ellipse.sql pgs_polygon.sql pgs_path.sql \
               pgs_box.sql pgs_contains_ops.sql pgs_contains_ops_compat.sql \
-              pgs_gist.sql gnomo.sql
+              pgs_gist.sql gnomo.sql pgs_brin.sql
 
 ifneq ($(USE_HEALPIX),0)
 PGS_SQL    += healpix.sql
@@ -260,6 +262,9 @@
 pg_sphere--1.2.2--1.2.3.sql:
 	cat upgrade_scripts/$@.in > $@
 
+pg_sphere--1.2.3--1.3.0.sql: pgs_brin.sql.in
+	cat upgrade_scripts/$@.in $^ > $@
+
 # end of local stuff
 
 src/sscan.o : src/sparse.c
