=== debian/changelog ===
pgsphere (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0.

 -- Christoph Berg <myon@debian.org>  Mon, 04 Sep 2023 17:04:33 +0200

pgsphere (1.2.3-2) unstable; urgency=medium

  * Fix compatibility with PG16.

 -- Christoph Berg <myon@debian.org>  Mon, 31 Jul 2023 18:25:53 +0200
